# Enum goog.events.KeyCodes

code »

Type: `number`

Key codes for common characters. This list is not localized and therefore some of the key codes are not correct for non US keyboard layouts. See comments below.

## Values and Descriptions

A
ALT
APOSTROPHE
B
BACKSLASH
BACKSPACE
C
CAPS_LOCK
CLOSE_SQUARE_BRACKET
COMMA
CONTEXT_MENU
CTRL
D
DASH
DELETE
DOWN
E
EIGHT
END
ENTER
EQUALS
ESC
F
F1
F10
F11
F12
F2
F3
F4
F5
F6
F7
F8
F9
FF_DASH
FF_EQUALS
FF_SEMICOLON
FIRST_MEDIA_KEY
FIVE
FOUR
G
H
HOME
I
INSERT
J
K
L
LAST_MEDIA_KEY
LEFT
M
MAC_ENTER
MAC_FF_META
MAC_WK_CMD_LEFT
MAC_WK_CMD_RIGHT
META
N
NINE
NUMLOCK
NUM_CENTER
NUM_DIVISION
NUM_EIGHT
NUM_FIVE
NUM_FOUR
NUM_MINUS
NUM_MULTIPLY
NUM_NINE
NUM_ONE
NUM_PERIOD
NUM_PLUS
NUM_SEVEN
NUM_SIX
NUM_THREE
NUM_TWO
NUM_ZERO
O
ONE
OPEN_SQUARE_BRACKET
P
PAGE_DOWN
PAGE_UP
PAUSE
PERIOD
PHANTOM
PRINT_SCREEN
Q
QUESTION_MARK
R
RIGHT
S
SCROLL_LOCK
SEMICOLON
SEVEN
SHIFT
SINGLE_QUOTE
SIX
SLASH
SPACE
T
TAB
THREE
TILDE
TWO
U
UP
V
W
WIN_IME
WIN_KEY
WIN_KEY_FF_LINUX
WIN_KEY_RIGHT
X
Y
Z
ZERO

Show:Public Protected Private

## Global Functions

code »goog.events.KeyCodes.firesKeyPressEvent ( keyCode, opt_heldKeyCode, opt_shiftKey, opt_ctrlKey, opt_altKey ) ⇒ `boolean`

Returns true if the key fires a keypress event in the current browser. Accoridng to MSDN [1] IE only fires keypress events for the following keys: - Letters: A - Z (uppercase and lowercase) - Numerals: 0 - 9 - Symbols: ! @ # $ % ^ & * ( ) _ - + = < [ ] { } , . / ? \ | ' ` " ~ - System: ESC, SPACEBAR, ENTER That's not entirely correct though, for instance there's no distinction between upper and lower case letters. [1] http://msdn2.microsoft.com/en-us/library/ms536939(VS.85).aspx) Safari is similar to IE, but does not fire keypress for ESC. Additionally, IE6 does not fire keydown or keypress events for letters when the control or alt keys are held down and the shift key is not. IE7 does fire keydown in these cases, though, but not keypress.

Parameters

keyCode: `number`
  A key code.
opt_heldKeyCode: `number=`
  Key code of a currently-held key.
opt_shiftKey: `boolean=`
  Whether the shift key is held down.
opt_ctrlKey: `boolean=`
  Whether the control key is held down.
opt_altKey: `boolean=`
  Whether the alt key is held down.

Returns

Whether it's a key that fires a keypress event.

code »goog.events.KeyCodes.isCharacterKey ( keyCode ) ⇒ `boolean`

Returns true if the key produces a character. This does not cover characters on non-US keyboards (Russian, Hebrew, etc.).

Parameters

keyCode: `number`
  A key code.

Returns

Whether it's a character key.

code »goog.events.KeyCodes.isTextModifyingKeyEvent ( e ) ⇒ `boolean`

Returns true if the event contains a text modifying key.

Parameters

e: `goog.events.BrowserEvent`
  A key event.

Returns

Whether it's a text modifying key.

code »goog.events.KeyCodes.normalizeGeckoKeyCode ( keyCode ) ⇒ `number`

Normalizes key codes from their Gecko-specific value to the general one.

Parameters

keyCode: `number`
  The native key code.

Returns

The normalized key code.

code »goog.events.KeyCodes.normalizeKeyCode ( keyCode ) ⇒ `number`

Normalizes key codes from OS/Browser-specific value to the general one.

Parameters

keyCode: `number`
  The native key code.

Returns

The normalized key code.

code »goog.events.KeyCodes.normalizeMacWebKitKeyCode ( keyCode ) ⇒ `number`

Normalizes key codes from their Mac WebKit-specific value to the general one.

Parameters

keyCode: `number`
  The native key code.

Returns

The normalized key code.